cgGetStateEnumerantName(3)

NAME
cgGetStateEnumerantName - get a state enumerant name by value

SYNOPSIS
  #include <Cg/cg.h>
  const char * cgGetStateEnumerantName( CGstate state,
                                        int value );

PARAMETERS

state
    The state from which to retrieve an enumerant name.

value
    The enumerant value for which to retrieve the associated name.

RETURN VALUES
Returns the NULL-terminated enumerant name string associated with the given enumerant value in state.

Returns NULL if an error occurs.

DESCRIPTION
cgGetStateEnumerantName returns the enumerant name associated with a given enumerant value from a specified state.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

CG_INVALID_PARAMETER_ERROR is generated if state does not contain an enumerant defined for value.

HISTORY
cgGetStateEnumerantName was introduced in Cg 1.5.

SEE ALSO
cgGetStateEnumerantValue, cgAddStateEnumerant, cgIsState